Orxonox: orxonox::ForceField Class Reference

# orxonox::ForceField Class Reference

`#include <src/orxonox/objects/worldentities/ForceField.h>`

Inheritance diagram for orxonox::ForceField:

List of all members.

## Public Member Functions

| ForceField (BaseObject *creator)
float | getDiameter ()
float | getLength ()
float | getVelocity ()
void | setDiameter (float diam)
void | setLength (float l)
void | setVelocity (float vel)
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| Method for creating a CheckPoint object through XML.
virtual | ~ForceField ()

## Private Attributes

float | diameter_
float | length_
float | velocity_

## Constructor & Destructor Documentation

orxonox::ForceField::ForceField | ( | BaseObject * | creator | ) |

References diameter_, length_, RegisterObject, orxonox::WorldEntity::setDirection(), and velocity_.

orxonox::ForceField::~ForceField | ( |  | ) | `[virtual]`

## Member Function Documentation

float orxonox::ForceField::getDiameter | ( |  | ) | `[inline]`

Referenced by XMLPort().

float orxonox::ForceField::getLength | ( |  | ) | `[inline]`

Referenced by XMLPort().

float orxonox::ForceField::getVelocity | ( |  | ) | `[inline]`

Referenced by XMLPort().

void orxonox::ForceField::setDiameter | ( | float | diam | ) | `[inline]`

Referenced by XMLPort().

void orxonox::ForceField::setLength | ( | float | l | ) | `[inline]`

Referenced by XMLPort().

void orxonox::ForceField::setVelocity | ( | float | vel | ) | `[inline]`

Referenced by XMLPort().

void orxonox::ForceField::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References diameter_, orxonox::WorldEntity::FRONT, orxonox::WorldEntity::getOrientation(), orxonox::WorldEntity::getWorldPosition(), length_, orxonox::MT_Type::Vector3, and velocity_.

void orxonox::ForceField::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Method for creating a CheckPoint object through XML.

Reimplemented from orxonox::WorldEntity.

References getDiameter(), getLength(), getVelocity(), setDiameter(), setLength(), setVelocity(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::ForceField::diameter_`[private]`

Referenced by ForceField(), and tick().

float orxonox::ForceField::length_`[private]`

Referenced by ForceField(), and tick().

float orxonox::ForceField::velocity_`[private]`

Referenced by ForceField(), and tick().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/ForceField.h
- src/orxonox/objects/worldentities/ForceField.cc